%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		emerillon
Version:	0.1.90
Release:	%mkrel 12
Summary:	A map viewer for GNOME
Group:		Graphical desktop/GNOME
License:	GPLv2+ and LGPLv2+
URL:		http://projects.gnome.org/emerillon/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		emerillon-0.1.90-undef-GTK_DISABLE_DEPRECATED.patch
BuildRequires:	intltool
BuildRequires:	vala
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(champlain-gtk-0.12) >= 0.11.0
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(geoclue) >= 0.11.1
BuildRequires:	pkgconfig(rest-0.7)

%description
Emerillon is a map viewer for GNOME that has an extensible plugin architecture
and Telepathy integration to enable app and location sharing and display of 
friends locations.

%package devel
Summary:	Development package for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description devel
Files for developing plugins for %{name}.

%package vala
Summary:	Vala Development package for %{name}
Group:		Development/Other
Requires:	%{name}-devel = %{version}-%{release}

%description vala
Files for vala development with %{name}.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
	--disable-schemas-compile \
	--enable-introspection
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -f %{name}.lang
%doc AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_libdir}/girepository-1.0/Emerillon-0.2.typelib
%{_datadir}/applications/%{name}.desktop
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/org.gnome.emerillon.gschema.xml

%files devel
%doc %{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/Emerillon-0.2.gir
%{_includedir}/%{name}*/
%{_libdir}/pkgconfig/%{name}.pc

%files vala
%{_datadir}/vala/vapi/%{name}.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.1.90-12.mga4
+ Revision: 531763
- Mageia 4 Mass Rebuild

* Fri Aug 09 2013 wally <wally> 0.1.90-11.mga4
+ Revision: 465045
- add patch to fix build (undef GTK_DISABLE_DEPRECATED)

  + dams <dams>
    - rebuild for new cogl

* Sun Jul 14 2013 sander85 <sander85> 0.1.90-10.mga4
+ Revision: 454281
- Rebuild for new cogl

* Mon May 27 2013 fwang <fwang> 0.1.90-9.mga4
+ Revision: 428619
- rebuild for new cogl

* Fri Jan 11 2013 umeabot <umeabot> 0.1.90-8.mga3
+ Revision: 349635
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 07 2012 fwang <fwang> 0.1.90-7.mga3
+ Revision: 220707
- rebuild for new cogl

* Sun Feb 26 2012 ovitters <ovitters> 0.1.90-6.mga2
+ Revision: 215312
- rebuild for new cogl

  + tv <tv>
    - rebuild for new cogl

* Tue Jan 17 2012 fwang <fwang> 0.1.90-4.mga2
+ Revision: 197306
- rebuild for new cogl

* Wed Nov 23 2011 wally <wally> 0.1.90-3.mga2
+ Revision: 171397
- rebuild for new cogl and clutter

* Mon Sep 19 2011 wally <wally> 0.1.90-2.mga2
+ Revision: 145710
- rebuild for new cogl

* Wed Sep 14 2011 wally <wally> 0.1.90-1.mga2
+ Revision: 143212
- imported package emerillon

